## EphyZoomAction

EphyZoomAction — A GtkAction implementing a zoom control

## Synopsis

                        EphyZoomAction;
    void                ephy_zoom_action_set_zoom_level     (EphyZoomAction *action,
                                                             float zoom);
    float               ephy_zoom_action_get_zoom_level     (EphyZoomAction *action);

## Object Hierarchy

      GObject
       +----GtkAction
             +----EphyZoomAction

## Implemented Interfaces

EphyZoomAction implements GtkBuildable.

## Properties

      "zoom"                     gfloat                : Read / Write

## Signals

      "zoom-to-level"                                  : Run First

## Description

EphyZoomAction implements a GtkAction able to control the zoom level.

## Details

### EphyZoomAction

    typedef struct _EphyZoomAction EphyZoomAction;

### ephy_zoom_action_set_zoom_level ()

    void                ephy_zoom_action_set_zoom_level     (EphyZoomAction *action,
                                                             float zoom);

Sets the zoom level of `action`.

`action` : | an EphyZoomAction
`zoom` : | the new value for the zoom level

### ephy_zoom_action_get_zoom_level ()

    float               ephy_zoom_action_get_zoom_level     (EphyZoomAction *action);

Get the current zoom level of `action`.

`action` : | an EphyZoomControl
Returns : | the zoom level as a float

## Property Details

### The `"zoom"` property

      "zoom"                     gfloat                : Read / Write

The current value of EphyZoomAction, as a float.

Allowed values: [0.707107,4]

Default value: 1

## Signal Details

### The `"zoom-to-level"` signal

    void                user_function                      (EphyZoomAction *action,
                                                            gfloat          level,
                                                            gpointer        user_data)      : Run First

Emitted when the user changes the value of the EphyZoomAction.

`action` : | the object on which the signal is emitted
`level` : | new zoom level
`user_data` : | user data set when the signal handler was connected.